/*
 * JSON Stream Parser
 * Copyright 2010 Joachim Lippold <mailToJoeAtIcq@icqmail.com>
 * 
 * This file is part of the JSON Stream Parser.
 *
 * JSON Stream Parser is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * JSON Stream Parser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JSON Stream Parser.  If not, see <http://www.gnu.org/licenses/>.
 */

package l.joe.json;

/**
 * @author Joachim Lippold <mailToJoeAtIcq@icqmail.com>
 *
 */
public class JSONParserException extends Exception {

    public JSONParserException(String message, Throwable cause)
    {
        super(message, cause);
    }

    public JSONParserException(String message)
    {
        super(message);
    }

    public JSONParserException(Throwable cause)
    {
        super(cause);
    }
}
